StocksAndFisheriesKB - Task #20490

Approve-Merge RAM Group 4 records
Jan 20, 2021 02:34 PM - Bracken van Niekerk

Status: Closed Start date: Jan 20, 2021
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

Dear Yannis

Please find the next iteration of 31 records for your kind attention, for either MERGING and/or APPROVAL. Please find them in the
attached file within the tab "FORTH_ACTION", with actions in columns P-R.

For the MERGES, the UUIDs have been provided for all records requiring merging in column P, the dominant records are stipulated
in column Q and any annotations in column R.

Please disregard the other worksheets.

Many thanks in advance!
@aureliano.gentile@fao.org

Related issues:
Blocked by StocksAndFisherieskB - Bug #20504: Error message while publishing/... Closed Jan 21, 2021

History

#1 - Jan 21, 2021 12:15 PM - Yannis Marketakis

- Status changed from New to In Progress

Hi @bracken.vanniekerk@fao.org

Can you please take a look at row number 4. There seems to be a mismatch between UUIDs and original IDs there. More specifically, the UUID
4a6d8da7-b734-3f48-b430-e2ca68032313 refers to FishSource record with ID 892, instead of the ID 890 that is reported in other columns.

In addition, while progressing with the rest of the merges and approvals | encounter an error while updating them in the catalog. This blocks us so |
will open a new issue (I'll cc you and Aureliano) asking CNR colleagues to check it out.

#2 - Jan 21, 2021 12:17 PM - Yannis Marketakis
- Blocked by Bug #20504: Error message while publishing/updating records in GRSF catalog added

#3 - Jan 21, 2021 04:45 PM - Bracken van Niekerk

Thank you Yannis for your kind and swift action.

You are correct, it appears the following FishSource records are no longer assessed: Fishsource 1D 890 (uuid
41bc7631-20d98-301f-8847-220f7040de6f) and FishSource ID 892 (uuid 4a6d8da7-b734-3f48-b430-e2ca68032313), these can remain in PENDING
status.

The corresponding RAM record, RAM ID RAM ID MONKGOMNGB (uuid 0485e0f5-737f-30f9-9c¢fd-185900237782), can be APPROVED.

Many thanks!

#4 - Jan 22, 2021 09:44 AM - Yannis Marketakis

Thanks for the clarification.
I'll proceed with the merging and approval of records as soon as the issue with the publisher is resolved (#20504)

#5 - Jan 22, 2021 04:11 PM - Yannis Marketakis
- File GRSF_Records-export-2020-12-22_UpdateActions RAM_FORTH_updates.xIsx added
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The activities described in the provided file have been carried out.
https://redmine.dev.d4science.org/issues/20504

Apart from the row mentioned in #20490#note-3 that has been omitted, the following UUIDs have been omitted as well, since they were already
approved.

e dd0c3b0a-6239-37b0-9ebe-d38793744984 (row 12)
* b0a2a427-adab-37eb-8993-1d76b1e6171b (row 18)
* 87a31545-c77d-3a82-9676-fca8023d696f (row 19)

Attached you will find the XLS file, with one extra column at the end describing our actions for each case.

Files
GRSF_Records-export-2020-12-22_UpdateActions_ RAM.xlIsx 428 KB Jan 20, 2021 Bracken van Niekerk
GRSF_Records-export-2020-12-22_UpdateActions_ RAM_FORTH_updt3és<isx Jan 22, 2021 Yannis Marketakis
